Subject: W-24 Calendar CHARSET property MUST/MAY issues

From: Doug Royer <[email-masked]>
Date: Thu, 29 Jul 1999 13:36:10 -0700 (PDT)

In section "11.2 Calendar Properties" of CAP:

I think the existing proposal as explained in the CAP.TXT draft may
cause some implementation conflicts.  When you consider vertical
applications and their need to have some properties fixed and not
alterable.  I would like to propose that section 11.2 be changed to be
something like:

11.2 Calendar Properties

A calendar property is 'Read Only' if the CUA may not change its value.

              Read
Name          Only  Description
------------- ----  --------------------------------------------------
CHARSET         N   The default charset for localized strings in this
                    calendar.
                    
                    CS MUST implement this at least as a READ-ONLY property.
                    CS MAY implement this as a READ-WRITE property.
                    
                    The prefered CHARSET is UTF-8.

		    The value type is the same as a MIME charset value.
		    
CHILDREN        Y   The sub-calendars belonging to this calendar.
		    Maintained by the CAP server.

                    The CS MAY choose not to allow CHILDREN however
                    this property MUST be implemented.
                    
                    A calendar with no children will return an
                    empty set. (Ex: CHILDREN:<CRLF> )
                    
                    The value type is [ICAL] TEXT. Multiple values
                    are seperated by comma (,). Each value
                    MUST be a valid (section 2.6) Calendar address.

CREATED         Y   The timestamp of the calendar's create date.
		    Maintained by the CAP server.
		    
                    CS MUST implement this as a READ-ONLY property.

		    The value type is [ICAL] DATE-TIME.
		    
LANGUAGE        N   The default language for localizable strings in
                    this calendar.
                    
                    CS MUST implement this at least as a READ-ONLY property.
                    CS MAY implement this as a READ-WRITE property.

		    LANGUAGE may be an empty set. (Ex: LANGUAGE:<CRLF> )
		    
		    The value type is RFC2445 TEXT. The value must be
		    a valid [ICAL] LANGUAGE paramater.
		    
LAST-MODIFIED   Y   The timestamp when the properties of the calendar
                    were last updated. Maintained by the CAP server.
                    
                    CS MUST implement this as a READ-ONLY property.

NAME            N   The display name for this calendar. It is
                    a localizable string.
                    
                    CS MUST implement this at least as a READ-ONLY property.
                    CS MAY implement this as a READ-WRITE property.
                    
		    The value type is [ICAL] TEXT.
		    
		    Only one name value can be supplied.
		    
		    If NAME is not set. Then the CAP Calendar Address
		    MUST be returned. NAME MUST never be empty.
		    
OWNERS          N   a multi instanced property indicating the
                    calendar owner.
                    
                    CS MUST implement this at least as a READ-ONLY property.
                    CS MAY implement this as a READ-WRITE property.

                    The value type is [ICAL] TEXT. Multiple values
                    are seperated by comma (,). Each value
                    MUST be a valid UPN.

                    A calendar MUST have at least one OWNER.
                    
PARENT          N   maintained by a CAP server.

                    CS MUST implement this as a READ-ONLY property.

		    The value type is [ICAL] TEXT.
		    The value must be a valid CAP Calendar address.

		    PARENT may be an empty set. (Ex: PARENT:<CRLF> )

PATH            Y   ?? Human readable path of name. ??

		     What is this??????
		     	
                    [editors note: I think this is going to be
                    really problematic. Can we do away with
                    this?  Or perhaps make it optional? ]

RELATIVECALID   N   a unique name for the calendar. It is made
                    up of 7 bit ASCII characters.

                    CS MUST implement this at least as a READ-ONLY property.
                    CS MAY implement this as a READ-WRITE property.

		    The value type is [ICAL] TEXT.
		    The value must be a valid CAP Calendar address.

		    There must be exactly one value.
		    
SCHEDULABLE-    N   The preferred time range for scheduling
HOURS               events on this calendar.

                    CS MUST implement this at least as a READ-ONLY property.
                    CS MAY implement this as a READ-WRITE property.

		    The value type is [ICAL] ????.
		    The value must be a valid CAP ????.

TOMBSTONE       N   A marker indicating that this calendar has been
                    Deleted (True is Deleted, Falue is not deleted).

                    CS MUST implement this at least as a READ-ONLY property.
                    CS MAY implement this as a READ-WRITE property.

		    The value type is [ICAL] Boolean.
		    
TZID            N   The id of the timezone associated with this
                    calendar.
 
                    CS MUST implement this at least as a READ-ONLY property.
                    CS MAY implement this as a READ-WRITE property.

		    The value type is [ICAL] TEXT.
		    The value must be a valid [ICAL] TZID.

LAST-MODIFIED-BY Y  UPN of the person or process that
                    last modified the calendar properties.

                    CS MUST implement this as a READ-ONLY property.
                    If the implementtion does not wish to support this
                    value. An empy value may be returned
                    (Ex: LAST-MODIFIED-BY:<CRLF> )

OVERLAPPED-	 N  If TRUE, components are allowed be added to the calendar
BOOKINGS	    that overlap other blocking (TRANSP=OPAQUE) components.

	 	    If FALSE, no component may be added where any portion
		    of OPAQUE time overlaps any other existing components
		    OPAQUE time.

                    CS MUST implement this at least as a READ-ONLY property.
                    CS MAY implement this as a READ-WRITE property.

----------------------------------------------------------------------------

-Doug
-------------------------------------------------------------------
[email-masked]		http://playground.sun.com/~dougr
Pager:				[email-masked]
801 W. El Camino #131		Work:   (650)786-7599
Mountain View, CA 94040		Ham Radio: N6AAW, Aviation: PP-ASEL